Page MenuHomeFreeBSD

cleanup: remove support for EOL FreeBSD 13.2
Needs ReviewPublic

Authored by rene on May 9 2024, 5:16 PM.
Tags
None
Referenced Files
F86120629: D45141.diff
Sat, Jun 15, 6:33 PM
Unknown Object (File)
Thu, Jun 13, 6:29 PM
Unknown Object (File)
Wed, Jun 12, 1:26 AM
Unknown Object (File)
Mon, Jun 3, 4:25 AM
Unknown Object (File)
Thu, May 30, 2:47 PM
Unknown Object (File)
Wed, May 29, 7:20 PM
Unknown Object (File)
Tue, May 28, 11:22 PM
Unknown Object (File)
May 12 2024, 7:08 PM
Subscribers

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 58184
Build 55072: arc lint + arc unit

Event Timeline

rene requested review of this revision.May 9 2024, 5:16 PM
rene created this revision.
mat added inline comments.
Mk/bsd.port.mk
45

Maybe pick a version further in the future, say, 1501000, so that it does not have to be updated that much ?

  • Mk/bsd.port.mk: move an example FreeBSD version more into the future
rene marked an inline comment as done.May 9 2024, 5:36 PM
arrowd added a subscriber: arrowd.

Skimmed through all changes, but didn't run-test.

This revision is now accepted and ready to land.May 9 2024, 5:38 PM

Can you also drop annotated cruft?

$ git grep -lF 'FreeBSD 13.2 EOL'
devel/hyprlang/Makefile
emulators/rpcs3/Makefile
emulators/yuzu/Makefile
x11/hyprcursor/Makefile
x11/hyprlock/Makefile
x11/xdg-desktop-portal-hyprland/Makefile
x11-toolkits/como/Makefile
x11-wm/gamescope/Makefile
x11-wm/hyprland/Makefile
x11-wm/theseus-ship/Makefile
graphics/nvidia-drm-510-kmod/Makefile
15

Do you plan to remove the actual file as well?

  • cleanup: remove more EOL FreeBSD 13.2 code
This revision now requires review to proceed.May 9 2024, 7:51 PM
rene marked an inline comment as done.May 9 2024, 7:54 PM

Incorporated suggestions from @jbeich , updated TIMESTAMPs of affected distinfo files.

This revision is now accepted and ready to land.May 10 2024, 9:03 AM
ashish requested changes to this revision.May 10 2024, 8:48 PM

editors/kakoune need to be skipped, as I recently updated it, and removed those lines, and so the editors/kakoune/Makefile part of this patch isn't applicable anymore.

Thanks!

This revision now requires changes to proceed.May 10 2024, 8:48 PM

Rebase, drop obsoleted patch for editors/kakoune

This revision is now accepted and ready to land.May 11 2024, 2:26 PM

Changes to games/flightgear look good to me. Thanks!

The changes for devel/electron* look good. Thanks for taking care of those ports.

This revision now requires review to proceed.Thu, May 23, 8:07 PM
vvd added inline comments.
emulators/virtualbox-ose-legacy/Makefile
197

I think we can remove this line too - it's old 14-CURRENT before create stable/14.

emulators/virtualbox-ose-legacy/Makefile
198

We must remove this too.
13.3 is affected too and require LLVM 15 for build this version of the VirtualBox.

emulators/virtualbox-ose-legacy/Makefile
197

Probably cleaner to remove it with 14.0-EOL ?

198

From the comment in the Makefile it looks like a ${OSVERSION} > 1303000 must be added instead?

emulators/virtualbox-ose-legacy/Makefile
197

It isn't 14.0 - it's 14-CURRENT.
14-CURRENT is EOL since 14.0 released, isn't it?

198

There is work for build it with LLVM from base: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=279257

emulators/virtualbox-ose-legacy/Makefile
198

It looks like a separate issue from dropping 13.2

No objections for ports I maintain.

This revision is now accepted and ready to land.Wed, May 29, 7:43 PM
This revision now requires review to proceed.Tue, Jun 11, 7:30 PM

devel/electron30: cleanup post 13.2